/* 
 * Funcions relacionades amb el canvi d'idioma
 * 
 */

var idiomes = new Array(); //Establim la variable global d'idioma
var llengua_activa = "ca-ES";
var llengua_activa_abr = "ca"
var dialeg_llengua = true; //Controla si el diàleg de la llengua es troba actiu per tal de no obrir-lo vàries vegades

function estableixIdiomaInicial(llengua) {
		
    llengua_activa = llengua;
    llengua_activa_abr = llengua.substring(0,2);

    $.each(idiomes[llengua], function(key, value) {			    
        $('.'+key).empty();
        $('.'+key).append(value);        
    });
    
    //Establim els placeholders
    
    $('#searchTextFieldBotigues').attr('placeholder', idiomes[llengua]['lang_busca_botiga']);
    $('#searchTextField').attr('placeholder', idiomes[llengua]['lang_busca_botiga']);
        			
}

function canviarIdioma() {
    
    if (llengua_activa == "ca-ES") {
        
        estableixIdiomaInicial("es-ES");
        $('#boto_canvi_idioma').html('CAT');
        
        
    } else {
        
        estableixIdiomaInicial("ca-ES");
        $('#boto_canvi_idioma').html('CAS');
        
    }
    
    canviaImatge('ofertes_base');
    
}